Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFShapeType

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShapeType

    public class XSLFShapeType

extends java.lang.Object

known preset shape geometries in PresentationML

Author:
  Yegor Kozlov

Field Summary
`static XSLFShapeType` | `ACCENT_BORDER_CALLOUT_1`
`static XSLFShapeType` | `ACCENT_BORDER_CALLOUT_2`
`static XSLFShapeType` | `ACCENT_BORDER_CALLOUT_3`
`static XSLFShapeType` | `ACCENT_CALLOUT_1`
`static XSLFShapeType` | `ACCENT_CALLOUT_2`
`static XSLFShapeType` | `ACCENT_CALLOUT_3`
`static XSLFShapeType` | `ACTION_BUTTON_BACK_PREVIOUS`
`static XSLFShapeType` | `ACTION_BUTTON_BEGINNING`
`static XSLFShapeType` | `ACTION_BUTTON_BLANK`
`static XSLFShapeType` | `ACTION_BUTTON_DOCUMENT`
`static XSLFShapeType` | `ACTION_BUTTON_END`
`static XSLFShapeType` | `ACTION_BUTTON_FORWARD_NEXT`
`static XSLFShapeType` | `ACTION_BUTTON_HELP`
`static XSLFShapeType` | `ACTION_BUTTON_HOME`
`static XSLFShapeType` | `ACTION_BUTTON_INFORMATION`
`static XSLFShapeType` | `ACTION_BUTTON_MOVIE`
`static XSLFShapeType` | `ACTION_BUTTON_RETURN`
`static XSLFShapeType` | `ACTION_BUTTON_SOUND`
`static XSLFShapeType` | `ARC`
`static XSLFShapeType` | `BENT_ARROW`
`static XSLFShapeType` | `BENT_CONNECTOR_2`
`static XSLFShapeType` | `BENT_CONNECTOR_3`
`static XSLFShapeType` | `BENT_CONNECTOR_4`
`static XSLFShapeType` | `BENT_CONNECTOR_5`
`static XSLFShapeType` | `BENT_UP_ARROW`
`static XSLFShapeType` | `BEVEL`
`static XSLFShapeType` | `BLOCK_ARC`
`static XSLFShapeType` | `BORDER_CALLOUT_1`
`static XSLFShapeType` | `BORDER_CALLOUT_2`
`static XSLFShapeType` | `BORDER_CALLOUT_3`
`static XSLFShapeType` | `BRACE_PAIR`
`static XSLFShapeType` | `BRACKET_PAIR`
`static XSLFShapeType` | `CALLOUT_1`
`static XSLFShapeType` | `CALLOUT_2`
`static XSLFShapeType` | `CALLOUT_3`
`static XSLFShapeType` | `CAN`
`static XSLFShapeType` | `CHART_PLUS`
`static XSLFShapeType` | `CHART_STAR`
`static XSLFShapeType` | `CHART_X`
`static XSLFShapeType` | `CHEVRON`
`static XSLFShapeType` | `CHORD`
`static XSLFShapeType` | `CIRCULAR_ARROW`
`static XSLFShapeType` | `CLOUD`
`static XSLFShapeType` | `CLOUD_CALLOUT`
`static XSLFShapeType` | `CORNER`
`static XSLFShapeType` | `CORNER_TABS`
`static XSLFShapeType` | `CUBE`
`static XSLFShapeType` | `CURVED_CONNECTOR_2`
`static XSLFShapeType` | `CURVED_CONNECTOR_3`
`static XSLFShapeType` | `CURVED_CONNECTOR_4`
`static XSLFShapeType` | `CURVED_CONNECTOR_5`
`static XSLFShapeType` | `CURVED_DOWN_ARROW`
`static XSLFShapeType` | `CURVED_LEFT_ARROW`
`static XSLFShapeType` | `CURVED_RIGHT_ARROW`
`static XSLFShapeType` | `CURVED_UP_ARROW`
`static XSLFShapeType` | `DECAGON`
`static XSLFShapeType` | `DIAG_STRIPE`
`static XSLFShapeType` | `DIAMOND`
`static XSLFShapeType` | `DODECAGON`
`static XSLFShapeType` | `DONUT`
`static XSLFShapeType` | `DOUBLE_WAVE`
`static XSLFShapeType` | `DOWN_ARROW`
`static XSLFShapeType` | `DOWN_ARROW_CALLOUT`
`static XSLFShapeType` | `ELLIPSE`
`static XSLFShapeType` | `ELLIPSE_RIBBON`
`static XSLFShapeType` | `ELLIPSE_RIBBON_2`
`static XSLFShapeType` | `FLOW_CHART_ALTERNATE_PROCESS`
`static XSLFShapeType` | `FLOW_CHART_COLLATE`
`static XSLFShapeType` | `FLOW_CHART_CONNECTOR`
`static XSLFShapeType` | `FLOW_CHART_DECISION`
`static XSLFShapeType` | `FLOW_CHART_DELAY`
`static XSLFShapeType` | `FLOW_CHART_DISPLAY`
`static XSLFShapeType` | `FLOW_CHART_DOCUMENT`
`static XSLFShapeType` | `FLOW_CHART_EXTRACT`
`static XSLFShapeType` | `FLOW_CHART_INPUT_OUTPUT`
`static XSLFShapeType` | `FLOW_CHART_INTERNAL_STORAGE`
`static XSLFShapeType` | `FLOW_CHART_MAGNETIC_DISK`
`static XSLFShapeType` | `FLOW_CHART_MAGNETIC_DRUM`
`static XSLFShapeType` | `FLOW_CHART_MAGNETIC_TAPE`
`static XSLFShapeType` | `FLOW_CHART_MANUAL_INPUT`
`static XSLFShapeType` | `FLOW_CHART_MANUAL_OPERATION`
`static XSLFShapeType` | `FLOW_CHART_MERGE`
`static XSLFShapeType` | `FLOW_CHART_MULTIDOCUMENT`
`static XSLFShapeType` | `FLOW_CHART_OFFLINE_STORAGE`
`static XSLFShapeType` | `FLOW_CHART_OFFPAGE_CONNECTOR`
`static XSLFShapeType` | `FLOW_CHART_ONLINE_STORAGE`
`static XSLFShapeType` | `FLOW_CHART_OR`
`static XSLFShapeType` | `FLOW_CHART_PREDEFINED_PROCESS`
`static XSLFShapeType` | `FLOW_CHART_PREPARATION`
`static XSLFShapeType` | `FLOW_CHART_PROCESS`
`static XSLFShapeType` | `FLOW_CHART_PUNCHED_CARD`
`static XSLFShapeType` | `FLOW_CHART_PUNCHED_TAPE`
`static XSLFShapeType` | `FLOW_CHART_SORT`
`static XSLFShapeType` | `FLOW_CHART_SUMMING_JUNCTION`
`static XSLFShapeType` | `FLOW_CHART_TERMINATOR`
`static XSLFShapeType` | `FOLDED_CORNER`
`static XSLFShapeType` | `FRAME`
`static XSLFShapeType` | `FUNNEL`
`static XSLFShapeType` | `GEAR_6`
`static XSLFShapeType` | `GEAR_9`
`static XSLFShapeType` | `HALF_FRAME`
`static XSLFShapeType` | `HEART`
`static XSLFShapeType` | `HEPTAGON`
`static XSLFShapeType` | `HEXAGON`
`static XSLFShapeType` | `HOME_PLATE`
`static XSLFShapeType` | `HORIZONTAL_SCROLL`
`static XSLFShapeType` | `IRREGULAR_SEAL_1`
`static XSLFShapeType` | `IRREGULAR_SEAL_2`
`static XSLFShapeType` | `LEFT_ARROW`
`static XSLFShapeType` | `LEFT_ARROW_CALLOUT`
`static XSLFShapeType` | `LEFT_BRACE`
`static XSLFShapeType` | `LEFT_BRACKET`
`static XSLFShapeType` | `LEFT_CIRCULAR_ARROW`
`static XSLFShapeType` | `LEFT_RIGHT_ARROW`
`static XSLFShapeType` | `LEFT_RIGHT_ARROW_CALLOUT`
`static XSLFShapeType` | `LEFT_RIGHT_CIRCULAR_ARROW`
`static XSLFShapeType` | `LEFT_RIGHT_RIBBON`
`static XSLFShapeType` | `LEFT_RIGHT_UP_ARROW`
`static XSLFShapeType` | `LEFT_UP_ARROW`
`static XSLFShapeType` | `LIGHTNING_BOLT`
`static XSLFShapeType` | `LINE`
`static XSLFShapeType` | `LINE_INV`
`static XSLFShapeType` | `MATH_DIVIDE`
`static XSLFShapeType` | `MATH_EQUAL`
`static XSLFShapeType` | `MATH_MINUS`
`static XSLFShapeType` | `MATH_MULTIPLY`
`static XSLFShapeType` | `MATH_NOT_EQUAL`
`static XSLFShapeType` | `MATH_PLUS`
`static XSLFShapeType` | `MOON`
`static XSLFShapeType` | `NO_SMOKING`
`static XSLFShapeType` | `NON_ISOSCELES_TRAPEZOID`
`static XSLFShapeType` | `NOTCHED_RIGHT_ARROW`
`static XSLFShapeType` | `OCTAGON`
`static XSLFShapeType` | `PARALLELOGRAM`
`static XSLFShapeType` | `PENTAGON`
`static XSLFShapeType` | `PIE`
`static XSLFShapeType` | `PIE_WEDGE`
`static XSLFShapeType` | `PLAQUE`
`static XSLFShapeType` | `PLAQUE_TABS`
`static XSLFShapeType` | `PLUS`
`static XSLFShapeType` | `QUAD_ARROW`
`static XSLFShapeType` | `QUAD_ARROW_CALLOUT`
`static XSLFShapeType` | `RECT`
`static XSLFShapeType` | `RIBBON`
`static XSLFShapeType` | `RIBBON_2`
`static XSLFShapeType` | `RIGHT_ARROW`
`static XSLFShapeType` | `RIGHT_ARROW_CALLOUT`
`static XSLFShapeType` | `RIGHT_BRACE`
`static XSLFShapeType` | `RIGHT_BRACKET`
`static XSLFShapeType` | `ROUND_1_RECT`
`static XSLFShapeType` | `ROUND_2_DIAG_RECT`
`static XSLFShapeType` | `ROUND_2_SAME_RECT`
`static XSLFShapeType` | `ROUND_RECT`
`static XSLFShapeType` | `RT_TRIANGLE`
`static XSLFShapeType` | `SMILEY_FACE`
`static XSLFShapeType` | `SNIP_1_RECT`
`static XSLFShapeType` | `SNIP_2_DIAG_RECT`
`static XSLFShapeType` | `SNIP_2_SAME_RECT`
`static XSLFShapeType` | `SNIP_ROUND_RECT`
`static XSLFShapeType` | `SQUARE_TABS`
`static XSLFShapeType` | `STAR_10`
`static XSLFShapeType` | `STAR_12`
`static XSLFShapeType` | `STAR_16`
`static XSLFShapeType` | `STAR_24`
`static XSLFShapeType` | `STAR_32`
`static XSLFShapeType` | `STAR_4`
`static XSLFShapeType` | `STAR_5`
`static XSLFShapeType` | `STAR_6`
`static XSLFShapeType` | `STAR_7`
`static XSLFShapeType` | `STAR_8`
`static XSLFShapeType` | `STRAIGHT_CONNECTOR_1`
`static XSLFShapeType` | `STRIPED_RIGHT_ARROW`
`static XSLFShapeType` | `SUN`
`static XSLFShapeType` | `SWOOSH_ARROW`
`static XSLFShapeType` | `TEARDROP`
`static XSLFShapeType` | `TRAPEZOID`
`static XSLFShapeType` | `TRIANGLE`
`static XSLFShapeType` | `UP_ARROW`
`static XSLFShapeType` | `UP_ARROW_CALLOUT`
`static XSLFShapeType` | `UP_DOWN_ARROW`
`static XSLFShapeType` | `UP_DOWN_ARROW_CALLOUT`
`static XSLFShapeType` | `UTURN_ARROW`
`static XSLFShapeType` | `VERTICAL_SCROLL`
`static XSLFShapeType` | `WAVE`
`static XSLFShapeType` | `WEDGE_ELLIPSE_CALLOUT`
`static XSLFShapeType` | `WEDGE_RECT_CALLOUT`
`static XSLFShapeType` | `WEDGE_ROUND_RECT_CALLOUT`

Method Summary
`static XSLFShapeType[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE

    public static final XSLFShapeType LINE

### LINE_INV

    public static final XSLFShapeType LINE_INV

### TRIANGLE

    public static final XSLFShapeType TRIANGLE

### RT_TRIANGLE

    public static final XSLFShapeType RT_TRIANGLE

### RECT

    public static final XSLFShapeType RECT

### DIAMOND

    public static final XSLFShapeType DIAMOND

### PARALLELOGRAM

    public static final XSLFShapeType PARALLELOGRAM

### TRAPEZOID

    public static final XSLFShapeType TRAPEZOID

### NON_ISOSCELES_TRAPEZOID

    public static final XSLFShapeType NON_ISOSCELES_TRAPEZOID

### PENTAGON

    public static final XSLFShapeType PENTAGON

### HEXAGON

    public static final XSLFShapeType HEXAGON

### HEPTAGON

    public static final XSLFShapeType HEPTAGON

### OCTAGON

    public static final XSLFShapeType OCTAGON

### DECAGON

    public static final XSLFShapeType DECAGON

### DODECAGON

    public static final XSLFShapeType DODECAGON

### STAR_4

    public static final XSLFShapeType STAR_4

### STAR_5

    public static final XSLFShapeType STAR_5

### STAR_6

    public static final XSLFShapeType STAR_6

### STAR_7

    public static final XSLFShapeType STAR_7

### STAR_8

    public static final XSLFShapeType STAR_8

### STAR_10

    public static final XSLFShapeType STAR_10

### STAR_12

    public static final XSLFShapeType STAR_12

### STAR_16

    public static final XSLFShapeType STAR_16

### STAR_24

    public static final XSLFShapeType STAR_24

### STAR_32

    public static final XSLFShapeType STAR_32

### ROUND_RECT

    public static final XSLFShapeType ROUND_RECT

### ROUND_1_RECT

    public static final XSLFShapeType ROUND_1_RECT

### ROUND_2_SAME_RECT

    public static final XSLFShapeType ROUND_2_SAME_RECT

### ROUND_2_DIAG_RECT

    public static final XSLFShapeType ROUND_2_DIAG_RECT

### SNIP_ROUND_RECT

    public static final XSLFShapeType SNIP_ROUND_RECT

### SNIP_1_RECT

    public static final XSLFShapeType SNIP_1_RECT

### SNIP_2_SAME_RECT

    public static final XSLFShapeType SNIP_2_SAME_RECT

### SNIP_2_DIAG_RECT

    public static final XSLFShapeType SNIP_2_DIAG_RECT

### PLAQUE

    public static final XSLFShapeType PLAQUE

### ELLIPSE

    public static final XSLFShapeType ELLIPSE

### TEARDROP

    public static final XSLFShapeType TEARDROP

### HOME_PLATE

    public static final XSLFShapeType HOME_PLATE

### CHEVRON

    public static final XSLFShapeType CHEVRON

### PIE_WEDGE

    public static final XSLFShapeType PIE_WEDGE

### PIE

    public static final XSLFShapeType PIE

### BLOCK_ARC

    public static final XSLFShapeType BLOCK_ARC

### DONUT

    public static final XSLFShapeType DONUT

### NO_SMOKING

    public static final XSLFShapeType NO_SMOKING

### RIGHT_ARROW

    public static final XSLFShapeType RIGHT_ARROW

### LEFT_ARROW

    public static final XSLFShapeType LEFT_ARROW

### UP_ARROW

    public static final XSLFShapeType UP_ARROW

### DOWN_ARROW

    public static final XSLFShapeType DOWN_ARROW

### STRIPED_RIGHT_ARROW

    public static final XSLFShapeType STRIPED_RIGHT_ARROW

### NOTCHED_RIGHT_ARROW

    public static final XSLFShapeType NOTCHED_RIGHT_ARROW

### BENT_UP_ARROW

    public static final XSLFShapeType BENT_UP_ARROW

### LEFT_RIGHT_ARROW

    public static final XSLFShapeType LEFT_RIGHT_ARROW

### UP_DOWN_ARROW

    public static final XSLFShapeType UP_DOWN_ARROW

### LEFT_UP_ARROW

    public static final XSLFShapeType LEFT_UP_ARROW

### LEFT_RIGHT_UP_ARROW

    public static final XSLFShapeType LEFT_RIGHT_UP_ARROW

### QUAD_ARROW

    public static final XSLFShapeType QUAD_ARROW

### LEFT_ARROW_CALLOUT

    public static final XSLFShapeType LEFT_ARROW_CALLOUT

### RIGHT_ARROW_CALLOUT

    public static final XSLFShapeType RIGHT_ARROW_CALLOUT

### UP_ARROW_CALLOUT

    public static final XSLFShapeType UP_ARROW_CALLOUT

### DOWN_ARROW_CALLOUT

    public static final XSLFShapeType DOWN_ARROW_CALLOUT

### LEFT_RIGHT_ARROW_CALLOUT

    public static final XSLFShapeType LEFT_RIGHT_ARROW_CALLOUT

### UP_DOWN_ARROW_CALLOUT

    public static final XSLFShapeType UP_DOWN_ARROW_CALLOUT

### QUAD_ARROW_CALLOUT

    public static final XSLFShapeType QUAD_ARROW_CALLOUT

### BENT_ARROW

    public static final XSLFShapeType BENT_ARROW

### UTURN_ARROW

    public static final XSLFShapeType UTURN_ARROW

### CIRCULAR_ARROW

    public static final XSLFShapeType CIRCULAR_ARROW

### LEFT_CIRCULAR_ARROW

    public static final XSLFShapeType LEFT_CIRCULAR_ARROW

### LEFT_RIGHT_CIRCULAR_ARROW

    public static final XSLFShapeType LEFT_RIGHT_CIRCULAR_ARROW

### CURVED_RIGHT_ARROW

    public static final XSLFShapeType CURVED_RIGHT_ARROW

### CURVED_LEFT_ARROW

    public static final XSLFShapeType CURVED_LEFT_ARROW

### CURVED_UP_ARROW

    public static final XSLFShapeType CURVED_UP_ARROW

### CURVED_DOWN_ARROW

    public static final XSLFShapeType CURVED_DOWN_ARROW

### SWOOSH_ARROW

    public static final XSLFShapeType SWOOSH_ARROW

### CUBE

    public static final XSLFShapeType CUBE

### CAN

    public static final XSLFShapeType CAN

### LIGHTNING_BOLT

    public static final XSLFShapeType LIGHTNING_BOLT

### HEART

    public static final XSLFShapeType HEART

### SUN

    public static final XSLFShapeType SUN

### MOON

    public static final XSLFShapeType MOON

### SMILEY_FACE

    public static final XSLFShapeType SMILEY_FACE

### IRREGULAR_SEAL_1

    public static final XSLFShapeType IRREGULAR_SEAL_1

### IRREGULAR_SEAL_2

    public static final XSLFShapeType IRREGULAR_SEAL_2

### FOLDED_CORNER

    public static final XSLFShapeType FOLDED_CORNER

### BEVEL

    public static final XSLFShapeType BEVEL

### FRAME

    public static final XSLFShapeType FRAME

### HALF_FRAME

    public static final XSLFShapeType HALF_FRAME

### CORNER

    public static final XSLFShapeType CORNER

### DIAG_STRIPE

    public static final XSLFShapeType DIAG_STRIPE

### CHORD

    public static final XSLFShapeType CHORD

### ARC

    public static final XSLFShapeType ARC

### LEFT_BRACKET

    public static final XSLFShapeType LEFT_BRACKET

### RIGHT_BRACKET

    public static final XSLFShapeType RIGHT_BRACKET

### LEFT_BRACE

    public static final XSLFShapeType LEFT_BRACE

### RIGHT_BRACE

    public static final XSLFShapeType RIGHT_BRACE

### BRACKET_PAIR

    public static final XSLFShapeType BRACKET_PAIR

### BRACE_PAIR

    public static final XSLFShapeType BRACE_PAIR

### STRAIGHT_CONNECTOR_1

    public static final XSLFShapeType STRAIGHT_CONNECTOR_1

### BENT_CONNECTOR_2

    public static final XSLFShapeType BENT_CONNECTOR_2

### BENT_CONNECTOR_3

    public static final XSLFShapeType BENT_CONNECTOR_3

### BENT_CONNECTOR_4

    public static final XSLFShapeType BENT_CONNECTOR_4

### BENT_CONNECTOR_5

    public static final XSLFShapeType BENT_CONNECTOR_5

### CURVED_CONNECTOR_2

    public static final XSLFShapeType CURVED_CONNECTOR_2

### CURVED_CONNECTOR_3

    public static final XSLFShapeType CURVED_CONNECTOR_3

### CURVED_CONNECTOR_4

    public static final XSLFShapeType CURVED_CONNECTOR_4

### CURVED_CONNECTOR_5

    public static final XSLFShapeType CURVED_CONNECTOR_5

### CALLOUT_1

    public static final XSLFShapeType CALLOUT_1

### CALLOUT_2

    public static final XSLFShapeType CALLOUT_2

### CALLOUT_3

    public static final XSLFShapeType CALLOUT_3

### ACCENT_CALLOUT_1

    public static final XSLFShapeType ACCENT_CALLOUT_1

### ACCENT_CALLOUT_2

    public static final XSLFShapeType ACCENT_CALLOUT_2

### ACCENT_CALLOUT_3

    public static final XSLFShapeType ACCENT_CALLOUT_3

### BORDER_CALLOUT_1

    public static final XSLFShapeType BORDER_CALLOUT_1

### BORDER_CALLOUT_2

    public static final XSLFShapeType BORDER_CALLOUT_2

### BORDER_CALLOUT_3

    public static final XSLFShapeType BORDER_CALLOUT_3

### ACCENT_BORDER_CALLOUT_1

    public static final XSLFShapeType ACCENT_BORDER_CALLOUT_1

### ACCENT_BORDER_CALLOUT_2

    public static final XSLFShapeType ACCENT_BORDER_CALLOUT_2

### ACCENT_BORDER_CALLOUT_3

    public static final XSLFShapeType ACCENT_BORDER_CALLOUT_3

### WEDGE_RECT_CALLOUT

    public static final XSLFShapeType WEDGE_RECT_CALLOUT

### WEDGE_ROUND_RECT_CALLOUT

    public static final XSLFShapeType WEDGE_ROUND_RECT_CALLOUT

### WEDGE_ELLIPSE_CALLOUT

    public static final XSLFShapeType WEDGE_ELLIPSE_CALLOUT

### CLOUD_CALLOUT

    public static final XSLFShapeType CLOUD_CALLOUT

### CLOUD

    public static final XSLFShapeType CLOUD

### RIBBON

    public static final XSLFShapeType RIBBON

### RIBBON_2

    public static final XSLFShapeType RIBBON_2

### ELLIPSE_RIBBON

    public static final XSLFShapeType ELLIPSE_RIBBON

### ELLIPSE_RIBBON_2

    public static final XSLFShapeType ELLIPSE_RIBBON_2

### LEFT_RIGHT_RIBBON

    public static final XSLFShapeType LEFT_RIGHT_RIBBON

### VERTICAL_SCROLL

    public static final XSLFShapeType VERTICAL_SCROLL

### HORIZONTAL_SCROLL

    public static final XSLFShapeType HORIZONTAL_SCROLL

### WAVE

    public static final XSLFShapeType WAVE

### DOUBLE_WAVE

    public static final XSLFShapeType DOUBLE_WAVE

### PLUS

    public static final XSLFShapeType PLUS

### FLOW_CHART_PROCESS

    public static final XSLFShapeType FLOW_CHART_PROCESS

### FLOW_CHART_DECISION

    public static final XSLFShapeType FLOW_CHART_DECISION

### FLOW_CHART_INPUT_OUTPUT

    public static final XSLFShapeType FLOW_CHART_INPUT_OUTPUT

### FLOW_CHART_PREDEFINED_PROCESS

    public static final XSLFShapeType FLOW_CHART_PREDEFINED_PROCESS

### FLOW_CHART_INTERNAL_STORAGE

    public static final XSLFShapeType FLOW_CHART_INTERNAL_STORAGE

### FLOW_CHART_DOCUMENT

    public static final XSLFShapeType FLOW_CHART_DOCUMENT

### FLOW_CHART_MULTIDOCUMENT

    public static final XSLFShapeType FLOW_CHART_MULTIDOCUMENT

### FLOW_CHART_TERMINATOR

    public static final XSLFShapeType FLOW_CHART_TERMINATOR

### FLOW_CHART_PREPARATION

    public static final XSLFShapeType FLOW_CHART_PREPARATION

### FLOW_CHART_MANUAL_INPUT

    public static final XSLFShapeType FLOW_CHART_MANUAL_INPUT

### FLOW_CHART_MANUAL_OPERATION

    public static final XSLFShapeType FLOW_CHART_MANUAL_OPERATION

### FLOW_CHART_CONNECTOR

    public static final XSLFShapeType FLOW_CHART_CONNECTOR

### FLOW_CHART_PUNCHED_CARD

    public static final XSLFShapeType FLOW_CHART_PUNCHED_CARD

### FLOW_CHART_PUNCHED_TAPE

    public static final XSLFShapeType FLOW_CHART_PUNCHED_TAPE

### FLOW_CHART_SUMMING_JUNCTION

    public static final XSLFShapeType FLOW_CHART_SUMMING_JUNCTION

### FLOW_CHART_OR

    public static final XSLFShapeType FLOW_CHART_OR

### FLOW_CHART_COLLATE

    public static final XSLFShapeType FLOW_CHART_COLLATE

### FLOW_CHART_SORT

    public static final XSLFShapeType FLOW_CHART_SORT

### FLOW_CHART_EXTRACT

    public static final XSLFShapeType FLOW_CHART_EXTRACT

### FLOW_CHART_MERGE

    public static final XSLFShapeType FLOW_CHART_MERGE

### FLOW_CHART_OFFLINE_STORAGE

    public static final XSLFShapeType FLOW_CHART_OFFLINE_STORAGE

### FLOW_CHART_ONLINE_STORAGE

    public static final XSLFShapeType FLOW_CHART_ONLINE_STORAGE

### FLOW_CHART_MAGNETIC_TAPE

    public static final XSLFShapeType FLOW_CHART_MAGNETIC_TAPE

### FLOW_CHART_MAGNETIC_DISK

    public static final XSLFShapeType FLOW_CHART_MAGNETIC_DISK

### FLOW_CHART_MAGNETIC_DRUM

    public static final XSLFShapeType FLOW_CHART_MAGNETIC_DRUM

### FLOW_CHART_DISPLAY

    public static final XSLFShapeType FLOW_CHART_DISPLAY

### FLOW_CHART_DELAY

    public static final XSLFShapeType FLOW_CHART_DELAY

### FLOW_CHART_ALTERNATE_PROCESS

    public static final XSLFShapeType FLOW_CHART_ALTERNATE_PROCESS

### FLOW_CHART_OFFPAGE_CONNECTOR

    public static final XSLFShapeType FLOW_CHART_OFFPAGE_CONNECTOR

### ACTION_BUTTON_BLANK

    public static final XSLFShapeType ACTION_BUTTON_BLANK

### ACTION_BUTTON_HOME

    public static final XSLFShapeType ACTION_BUTTON_HOME

### ACTION_BUTTON_HELP

    public static final XSLFShapeType ACTION_BUTTON_HELP

### ACTION_BUTTON_INFORMATION

    public static final XSLFShapeType ACTION_BUTTON_INFORMATION

### ACTION_BUTTON_FORWARD_NEXT

    public static final XSLFShapeType ACTION_BUTTON_FORWARD_NEXT

### ACTION_BUTTON_BACK_PREVIOUS

    public static final XSLFShapeType ACTION_BUTTON_BACK_PREVIOUS

### ACTION_BUTTON_END

    public static final XSLFShapeType ACTION_BUTTON_END

### ACTION_BUTTON_BEGINNING

    public static final XSLFShapeType ACTION_BUTTON_BEGINNING

### ACTION_BUTTON_RETURN

    public static final XSLFShapeType ACTION_BUTTON_RETURN

### ACTION_BUTTON_DOCUMENT

    public static final XSLFShapeType ACTION_BUTTON_DOCUMENT

### ACTION_BUTTON_SOUND

    public static final XSLFShapeType ACTION_BUTTON_SOUND

### ACTION_BUTTON_MOVIE

    public static final XSLFShapeType ACTION_BUTTON_MOVIE

### GEAR_6

    public static final XSLFShapeType GEAR_6

### GEAR_9

    public static final XSLFShapeType GEAR_9

### FUNNEL

    public static final XSLFShapeType FUNNEL

### MATH_PLUS

    public static final XSLFShapeType MATH_PLUS

### MATH_MINUS

    public static final XSLFShapeType MATH_MINUS

### MATH_MULTIPLY

    public static final XSLFShapeType MATH_MULTIPLY

### MATH_DIVIDE

    public static final XSLFShapeType MATH_DIVIDE

### MATH_EQUAL

    public static final XSLFShapeType MATH_EQUAL

### MATH_NOT_EQUAL

    public static final XSLFShapeType MATH_NOT_EQUAL

### CORNER_TABS

    public static final XSLFShapeType CORNER_TABS

### SQUARE_TABS

    public static final XSLFShapeType SQUARE_TABS

### PLAQUE_TABS

    public static final XSLFShapeType PLAQUE_TABS

### CHART_X

    public static final XSLFShapeType CHART_X

### CHART_STAR

    public static final XSLFShapeType CHART_STAR

### CHART_PLUS

    public static final XSLFShapeType CHART_PLUS

Method Detail

### values

    public static XSLFShapeType[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD